Main Page Widgets Namespaces Book

# Glib::IOSource Class Reference
[The Main Event Loop]

Inheritance diagram for Glib::IOSource:

[legend]
List of all members.

## Public Types
typedef Glib::IOSource | CppObjectType
## Public Member Functions
SigC::Connection | connect (const SigC::Slot1<bool, IOCondition>& slot)
## Static Public Member Functions
Glib::RefPtr<IOSource> | create (int fd, IOCondition condition)
Glib::RefPtr<IOSource> | create (const Glib::RefPtr<IOChannel>& channel, IOCondition condition)
## Protected Member Functions
| IOSource (int fd, IOCondition condition)
| IOSource (const Glib::RefPtr<IOChannel>& channel, IOCondition condition)
virtual | ~IOSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (SigC::SlotNode* slot_data)

## Member Typedef Documentation

typedef Glib::IOSource Glib::IOSource::CppObjectType

| Reimplemented from Glib::Source.

## Constructor & Destructor Documentation

Glib::IOSource::IOSource | ( | int | fd,
|  | IOCondition | condition
| ) | `[protected]`

Glib::IOSource::IOSource | ( | const Glib::RefPtr<IOChannel>& | channel,
|  | IOCondition | condition
| ) | `[protected]`

virtual Glib::IOSource::~IOSource | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual bool Glib::IOSource::check | ( |  | ) | `[protected, virtual]`

| Implements Glib::Source.

SigC::Connection Glib::IOSource::connect | ( | const SigC::Slot1<bool, IOCondition>& | slot | ) |

Glib::RefPtr<IOSource> Glib::IOSource::create | ( | const Glib::RefPtr<IOChannel>& | channel,
|  | IOCondition | condition
| ) | `[static]`

Glib::RefPtr<IOSource> Glib::IOSource::create | ( | int | fd,
|  | IOCondition | condition
| ) | `[static]`

virtual bool Glib::IOSource::dispatch | ( | SigC::SlotNode* | slot_data | ) | `[protected, virtual]`

| Implements Glib::Source.

virtual bool Glib::IOSource::prepare | ( | int& | timeout | ) | `[protected, virtual]`

| Implements Glib::Source.

The documentation for this class was generated from the following file:

- glib/glibmm/main.h